Create Verification Flow for Native Apps
This endpoint initiates a verification flow for API clients such as mobile devices, smart TVs, and so on.
GET /self-service/verification/api
This endpoint initiates a verification flow for API clients such as mobile devices, smart TVs, and so on.
To fetch an existing verification flow call /self-service/verification/flows?flow=<flow_id>.
You MUST NOT use this endpoint in client-side (Single Page Apps, ReactJS, AngularJS) nor server-side (Java Server Pages, NodeJS, PHP, Golang, ...) browser applications. Using this endpoint in these applications will make you vulnerable to a variety of CSRF attacks.
This endpoint MUST ONLY be used in scenarios such as native mobile apps (React Native, Objective C, Swift, Java, ...).
More information can be found at Ory Email and Phone Verification Documentation.
Operation ID: createNativeVerificationFlow Tag: frontend
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
return_to | string | no | A URL contained in the return_to key of the verification flow. This piece of data has no effect on the actual logic of the flow and is purely informational. |
Responses
| Status | Description | Body |
|---|---|---|
| 200 | verificationFlow | application/json, object |
| 400 | errorGeneric | application/json, object |
| default | errorGeneric | application/json, object |
Generated from /tmp/kratos-api.json at build time.